import React from "react";
import banner from "../../../assets/image/banner.png";

const MarketPlaceBanner = () => {
  return (
    <div className="market-place-banner-container">
      {/* market place banner */}
      <img src={banner} alt="" />
      <div className="hero-text">
        NEW
        <br /> FALL
        <br /> COLLECTION
      </div>
      <div className="context">Unlock Creativity with Premium 3D Assets!</div>
      <div className="arrow-context">
        <svg
          width="169"
          height="120"
          viewBox="0 0 169 120"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M167.189 2C154.638 36.335 104.466 106.204 4.18872 111"
            stroke="white"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M10.662 118.326L1.59439 111.524L9.47334 103.374"
            stroke="white"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </svg>
      </div>
      <div className="explore-button">Explore Now</div>
    </div>
  );
};

export default MarketPlaceBanner;
