import React, { useState } from "react";
import ProcessCreator from "./processCreator";
import ProcessAnimator from "./processAnimator";

const ProcessContainer: React.FC = () => {
  const [processes, setProcesses] = useState<any[]>([]);


  return (
    <>
      <ProcessCreator onProcessesCreated={setProcesses} />
      {processes.length > 0 && <ProcessAnimator processes={processes} />}
      
    </>
  );
};

export default ProcessContainer;
