let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export default async function giveCollabAccess(email: string, isShare: boolean, organization: string) {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/shareUser`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ email, isShare, organization }),
        });

        if (!response.ok) {
            throw new Error("Failed to set Camera Position and Target");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};