let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const deleteWidgetApi = async (
  widgetID: string,
  organization: string,
  zoneId:string
) => {
  console.log('zoneId: ', zoneId);
  console.log('organization: ', organization);
  console.log('widgetID: ', widgetID);
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v2/delete/widget`, {
      method: "PATCH",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({ organization, widgetID,zoneId }),
    });

    if (!response.ok) {
      throw new Error("Failed to delete widget in the zone");
    }
    const result = await response.json();
    return result;
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
