let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const get3dWidgetZoneData = async (
  ZoneId?: string,
  organization?: string
) => {
  try {
    const response = await fetch(
        `${url_Backend_dwinzo}/api/v2/3dwidgetData/${ZoneId}/${organization}`,
        {
            method: "GET",
            headers: {
                "Content-Type": "application/json",
            },
        }
    );
    if (!response.ok) {
      throw new Error("Failed to fetch Zone3dWidgetData");
    }

    return await response.json();
  } catch (error: any) {
    throw new Error(error.message);
  }
};
