import React from "react";
import { KebabIcon } from "../../icons/ExportCommonIcons";
import img from "../../../assets/image/image.png"

const DashboardCard:React.FC = () => {
  return (
    <div className="dashboard-card-container">
      <div className="preview-container">
        <img src={img} alt="" />
      </div>
      <div className="project-details-container">
        <div className="project-details">
          <div className="project-name">Untitled</div>
          <div className="project-data">24-12-2025</div>
        </div>
        <div className="users-list-container">
          <div className="user-profile">V</div>
          <KebabIcon />
        </div>
      </div>
    </div>
  );
};

export default DashboardCard;
