import React from "react";
import DashboardCard from "./DashboardCard";
import DashboardNavBar from "./DashboardNavBar";
import MarketPlaceBanner from "./MarketPlaceBanner";

const DashboardHome: React.FC = () => {
  return (
    <div className="dashboard-home-container">
      <DashboardNavBar page={"home"} />
      <MarketPlaceBanner />
      <div className="container">
        <div className="header">Recents</div>
        <div className="cards-container">
          <DashboardCard />
        </div>
      </div>
    </div>
  );
};

export default DashboardHome;
