let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const getSelect2dZoneData = async (
  ZoneId?: string,
  organization?: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v2/ZoneVisualization/${ZoneId}?organization=${organization}`,
      {
        method: "GET",
        headers: {
          "Content-Type": "application/json",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch zoneDatas");
    }

    return await response.json();
  } catch (error: any) {
    throw new Error(error.message);
  }
};
